# Container BPeRS

## Configurando o ambiente

```
docker run --entrypoint htpasswd registry:2 -Bbn admin admin > c:\registry\auth\htpasswd

docker run -d -p 5000:5000 --restart=always --name registry -v //c/registry/auth:/auth -e "REGISTRY_AUTH=htpasswd" -e "REGISTRY_AUTH_HTPASSWD_REALM=Registry Realm" -e REGISTRY_AUTH_HTPASSWD_PATH=/auth/htpasswd registry:2
```

`docker run --rm -p 5001:80 -e REGISTRY_HOST=[url]:5000 -e REGISTRY_STORAGE_DELETE_ENABLED=yes -e REGISTRY_USER=admin -e REGISTRY_PASS=admin --name ui jc21/registry-ui`


## Gerando a imagem

`docker build -f [dockerfile] -t bpers:[versao] .`

`docker run -p 8055:8080 -d --name bpers bpers:[versao]`


## Adicionando no Registry

`docker tag bpers:[versao] IP_SERVIDOR:5000/bpers:[versao]`

`docker push IP_SERVIDOR:5000/bpers:[versao]`

```
docker run --restart always -p 8055:8080 -d -v "//c/bpers/log:/opt/jboss/wildfly/standalone/log" -v "//c/bpers/data:/opt/jboss/wildfly/standalone/data" -v "//c/bpers/configuration:/opt/jboss/wildfly/standalone/configuration/security" --name bpers IP_SERVIDOR:5000/bpers:latest
```

## Kubernates

Iniciando o Kubernates local

```
minikube start --memory=4096 --cpus=2 --kubernetes-version=v1.14.0 --disk-size=30GB --insecure-registry='0.0.0.0/0'
```

Realizando deploy do sistema

```
kubectl create namespace bpe-rs
kubectl create secret docker-registry service-registry --namespace=bpe-rs --docker-server=$(ipconfig getifaddr en0):5000 --docker-username=admin --docker-password=admin

kubectl apply -f kubernates/plataform/bpers.yaml
kubectl apply -f kubernates/networking/bpers-gateway.yaml
```

Identificando o IP/Porta do serviço

```
kubectl get Ingress -n bpe-rs
```